Bug 799382 - Grid - Quotas - CSV - 'loading' values
Grid - Quotas - CSV - 'loading' values
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
Unspecified Unspecified
medium Severity medium
: 2.3
: ---
Assigned To: Chad Roberts
Peter Belanyi
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 10:44 EST by Stanislav Graf
Modified: 2014-11-17 21:24 EST (History)
5 users (show)

See Also:
Fixed In Version: cumin-0.1.5572-1
Doc Type: Bug Fix
Doc Text:
Cause: The CSV export was not "waiting" for all quota values to be loaded before exporting. Consequence: Exporting quotas to CSV format could occasionally display "loading" instead of the actual values. Fix: In CSV mode, cumin will now "wait" for all quota values to be filled-in before rendering the CSV. Result: The exported CSV file will now show the correct values.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:42:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Graf 2012-03-02 10:44:46 EST
Description of problem:
Setup Dynamic+Static quotas for Condor.
Open Cumin web:
Grid - Quotas - Save to CSV file

Result:
Name	Static quota	Dynamic quota
a	<em>loading</em>	<em>loading</em>
a.a	<em>loading</em>	<em>loading</em>
a.b	<em>loading</em>	<em>loading</em>
b	<em>loading</em>	<em>loading</em>
b.a	<em>loading</em>	<em>loading</em>
b.b	<em>loading</em>	<em>loading</em>
b.c	<em>loading</em>	<em>loading</em>
c	<em>loading</em>	<em>loading</em>
c.a	<em>loading</em>	<em>loading</em>
c.b	<em>loading</em>	<em>loading</em>


Version-Release number of selected component (if applicable):
cumin-0.1.5233-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Setup Dynamic+Static quotas for Condor.
2. Open Cumin web:
3. Grid - Quotas - Save to CSV file
  
Actual results:
CSV contains '<em>loading</em>' values

Expected results:
CSV contains proper values

Additional info:
Comment 2 Stanislav Graf 2012-03-02 11:39:54 EST
Better reproducer:

1. Grid - Quotas 
2. Expand some quota group
3. Grid - Limits
4. After few minutes
5. Grid - Quotas 
2. Wait till values change from 'loading' into proper one.
3. Count few seconds
4. Save to CSV file
Comment 4 Chad Roberts 2012-03-14 14:40:36 EDT
I was able to repro this only the first time I tried to get the CSV values.  Each subsequent time, the "loading" values were gone and the correct values showed up.  I'm thinking that there is a timing issue at hand here....

If you go to the quotas page and expand one of the groups, you will see "loading" again...that is the app fetching the rest of the values.  

I think what is going on here is that the "export to csv" is triggering that load, but it is not waiting for it to complete before rendering the results.  I'm going to experiment a bit to either pre-load all of the values, or at a minimum to get the csv export to be a bit more patient before rendering the results.
Comment 5 Chad Roberts 2012-03-14 16:31:25 EDT
Fixed on trunk revision 5249
Comment 7 Chad Roberts 2012-05-22 14:55:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:  The CSV export was not "waiting" for all quota values to be loaded before exporting.

Consequence: Exporting quotas to CSV format could occasionally display "loading" instead of the actual values.

Fix:  In CSV mode, cumin will now "wait" for all quota values to be filled-in before rendering the CSV.

Result:  The exported CSV file will now show the correct values.
Comment 12 Peter Belanyi 2012-12-07 10:47:06 EST
The 'Fixed In Version' field states that this bug was fixed in cumin-0.1.5251-1, but I was able to reproduce it in cumin-0.1.5444-3.

Was it originally fixed in cumin-0.1.5251-1, but then removed from later builds, and then added again? If so, could you please update the 'Fixed In Version' field so that I can finish verification?
Comment 13 Trevor McKay 2012-12-10 16:04:06 EST
Yes, it was descoped for the last release which was built from a branch rather than trunk.  Latest builds have the fix.

Note that the svn revision numbers apply to the entire Cumin repo, so it is possible to have features missing from a release even when the release has a higher revision number than the commit that originally fixed the issue :)
Comment 14 Peter Belanyi 2012-12-12 04:42:37 EST
I was able to reproduce on cumin-0.1.5444-3

I verified on RHEL5 and RHEL6, both i386 and x86_64, with cumin-0.1.5572-1
Comment 16 errata-xmlrpc 2013-03-06 13:42:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.